The third game released by Heart Beat Games. Project was developed using universal modules developed by me earlie. Withing such modules are WindowManager, SoundManager, ParallaxSystem, LocalizationSystem, etc.